API referenceMasterAgreement
POST /api/MasterAgreement/Delete
This endpoint will delete the Master Agreements with the provided IDs.
POST
/api/MasterAgreement/Deletecurl -X POST "/api/MasterAgreement/Delete" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": [
1,
2,
3
]
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
datainteger[] | null
Response
application/json
Deleted Master Agreements.
successbooleanrecordCountinteger<int32>dataEtrmApiGateway.DTOs.BackOffice.MasterAgreementDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"name": "string",
"counterPartyId": 0,
"counterPartyName": "string",
"masterAgreementStatusId": 0,
"statusName": "string",
"status": 1,
"validFrom": "2026-01-15T09:30:00Z",
"validTo": "2026-01-15T09:30:00Z",
"memo": "string",
"externalId": "string",
"createdAt": "2026-01-15T09:30:00Z",
"modifiedAt": "2026-01-15T09:30:00Z",
"numberOfLinkedDocuments": 0,
"masterAgreementTypeIds": [
0
],
"customFieldValues": [
{
"customFieldId": 0,
"customFieldName": "string",
"customFieldType": 1,
"validFrom": "2026-01-15T09:30:00Z",
"value": "string"
}
]
}
]
}